diff --git a/Assets/CoolapeFrameData/verControl/android/ver4Upgrade.v b/Assets/CoolapeFrameData/verControl/android/ver4Upgrade.v
index 1199495..f345ac5 100644
--- a/Assets/CoolapeFrameData/verControl/android/ver4Upgrade.v
+++ b/Assets/CoolapeFrameData/verControl/android/ver4Upgrade.v
@@ -5,32 +5,29 @@ trCRM/upgradeRes/priority/lua/public/CLLQueue.lua,065303c980678b25b11854bfec1690
 trCRM/upgradeRes/other/uiAtlas/coolape/Android/button.unity3d,efe93bdf676ef2d5195d52abe42ab833
 trCRM/upgradeRes/priority/lua/ui/cell/CLLFrame2.lua,e25ce84ca55cd643d527d09cedd6228a
 trCRM/upgradeRes/other/uiAtlas/cust/Android/order.unity3d,0b796b27d351f49010fb3c3921f1a843
-trCRM/upgradeRes/other/uiAtlas/main/Android/icon_work2.unity3d,eca0bd19a59ce72be19d7cdcbf9c5dac
+trCRM/upgradeRes/priority/ui/panel/Android/PanelConnect.unity3d,bfec75cacbedc1126c89c90cdff3f887
 trCRM/upgradeRes/other/uiAtlas/public/Android/_empty.unity3d,69ddb5d00f576f414974eaff196cb6cc
 trCRM/upgradeRes/other/uiAtlas/cust/Android/add.unity3d,ceb10233c0fc59270d66e1cb5c93bb49
 trCRM/upgradeRes/priority/ui/panel/Android/PanelSetting.unity3d,e28ed051439e06abe8ffc14ebf9cf1d2
 trCRM/upgradeRes/priority/lua/db/DBCust.lua,8e970152224262213e454e36f3dd19a8
 trCRM/upgradeRes/other/uiAtlas/public/Android/radio_full.unity3d,299e73e63c854e9d88dc63f1c19a45f9
+trCRM/upgradeRes/other/uiAtlas/cust/Android/cus_tel.unity3d,692b010c775fb99d05d342f5ad0272fa
 trCRM/upgradeRes/priority/lua/ui/panel/CLLPSceneManager.lua,b1b848791df37e59bdf7d5acf9cb9273
 trCRM/upgradeRes/other/uiAtlas/news/Android/new2_wait.unity3d,4171ead446231d4429305811f6e91fbc
 trCRM/upgradeRes/other/uiAtlas/cust/Android/input.unity3d,44e1403bbf15c7313dff8cad78d39287
-trCRM/upgradeRes/other/uiAtlas/logo/Android/logo2.unity3d,1bddae3d3fe67d91fc6b5c6f9dbb0bea
+trCRM/upgradeRes/priority/ui/panel/Android/PanelNewFollow.unity3d,3ee9577410d709f08bf37e7c9a2b19a1
 trCRM/upgradeRes/priority/ui/panel/Android/PanelWWWProgress.unity3d,d9cbe9d08670eedbee77ba97330f4118
 trCRM/upgradeRes/priority/lua/ui/panel/CLLPStart.lua,cffd5d749401579ae6c7035baabf2875
 trCRM/upgradeRes/other/uiAtlas/cust/Android/get.unity3d,04bf77dfe50c327c85966f9fdd1350c6
 trCRM/upgradeRes/priority/ui/other/Android/InputMultText.unity3d,f56e483096cf8b078f5d55416cf2932d
 trCRM/upgradeRes/priority/lua/ui/panel/TRPGuid.lua,ee29c8c2537cd4c445afe1397450cdae
-trCRM/upgradeRes/other/uiAtlas/mine/Android/me_set2.unity3d,e528f24899ef583c113ca69bbb510ebd
-trCRM/upgradeRes/priority/ui/panel/Android/PanelPopList.unity3d,a0ba753b0deecff9a85c8cd2b60013dd
-trCRM/upgradeRes/other/uiAtlas/order/Android/system.unity3d,570fa72b2d385d604cc7c9f7516965da
 trCRM/upgradeRes/priority/ui/panel/Android/PanelSceneManager.unity3d,c83769673e1c0793d88547c05d20a82e
 trCRM/upgradeRes/priority/lua/CLLMainLua.lua,09859475ed7cb2fbcee9098c758656a4
-trCRM/upgradeRes/priority/ui/panel/Android/PanelMsg.unity3d,e0d5c4eb46bc7c1734c79206bd0962e0
 trCRM/upgradeRes/other/uiAtlas/cust/Android/play.unity3d,ae412dff53c914bcfcd0ca92255bb33e
 trCRM/upgradeRes/other/uiAtlas/mine/Android/me_order.unity3d,26bc3076031940af6069ef5a9143fb5a
 trCRM/upgradeRes/priority/lua/ui/panel/TRBasePanel.lua,dc088058987b435c998a9709297a88e6
-trCRM/upgradeRes/priority/lua/toolkit/MyUtl.lua,a8351f9de5c665db23014cf331f2edb0
-trCRM/upgradeRes/priority/lua/ui/panel/CLLPWebView.lua,5a2e61ba38a3c3374ddf9b8df926c423
+trCRM/upgradeRes/other/uiAtlas/cust/Android/right.unity3d,b991891eb2939a880c223d677605faf4
+trCRM/upgradeRes/priority/lua/ui/panel/CLLPWebView.lua,093deec807e28be04df4d593bcff9e38
 trCRM/upgradeRes/priority/lua/ui/cell/TRCellReportform3.lua,f83300f176e1c35d62e00e69539998f3
 trCRM/upgradeRes/priority/lua/ui/panel/TRPSelectCompany.lua,a4ebb94a988f9c6c534703f89efeb7a8
 trCRM/upgradeRes/other/uiAtlas/work/Android/work_bg_noshadow.unity3d,4aee082b48104519ba82bad6aac83cf3
@@ -46,8 +43,8 @@ trCRM/upgradeRes/other/uiAtlas/cust/Android/pause.unity3d,f67cbbc84b61bc281f486e
 trCRM/upgradeRes/other/uiAtlas/mine/Android/me_set.unity3d,c53cddeef8f62d67a2a4110447466536
 trCRM/upgradeRes/priority/lua/toolkit/CLLVerManager.lua,39b154e796d60c2c40ebcc427a5c05e8
 trCRM/upgradeRes/other/uiAtlas/cust/Android/full_star.unity3d,6f6aa242a0a793b6eea6edc8c8de437d
+trCRM/upgradeRes/other/uiAtlas/hotwheel/Android/loading.unity3d,2f74f17f1282c12ab63108377b4798e0
 trCRM/upgradeRes/priority/lua/public/CLLPrefs.lua,1719d57c97fe0d8f2c9d1596cb6e2ac8
-trCRM/upgradeRes/other/uiAtlas/cust/Android/check.unity3d,aa21836aaae62d8f719a930aefe37ea7
 trCRM/upgradeRes/priority/lua/ui/cell/TRCellCompany.lua,b145bc086a8b1657a314622614dcb70a
 trCRM/upgradeRes/priority/lua/toolkit/CLLPrintEx.lua,86d891ec4d8bfa5533704c142fc97235
 trCRM/upgradeRes/priority/lua/ui/panel/CLLPConfirm.lua,e652190d378dc120a0805230692f0fc9
@@ -60,11 +57,11 @@ trCRM/upgradeRes/other/uiAtlas/public/Android/radio.unity3d,4f2c80de666b97ea0208
 trCRM/upgradeRes/priority/lua/bio/BioType.lua,4667e9def8191cbf2b9dc25e928bc23f
 trCRM/upgradeRes/other/uiAtlas/hotwheel/Android/hotWheel_prog.unity3d,0c507387d1167154fe67f1719c3531bd
 trCRM/upgradeRes/other/uiAtlas/order/Android/ipt.unity3d,68e98b41456c62324871a1c86caefafc
-trCRM/upgradeRes/other/uiAtlas/cust/Android/task.unity3d,737ce6fdd55d7642f690531d9410ff6a
 trCRM/upgradeRes/other/uiAtlas/main/Android/icon_news.unity3d,3a1afa79dbc710c3ddd6f65cf62f4a19
-trCRM/upgradeRes/priority/ui/panel/Android/PanelStart.unity3d,50cfab21f360ee339c94b1111be09fef
+trCRM/upgradeRes/priority/lua/public/CLLIncludeBase.lua,6011b5732b185053dc107332593e5d2b
 trCRM/upgradeRes/priority/ui/panel/Android/PanelResetPasswordStep2.unity3d,c3e2e353bd7e604e384a3e9e35d37893
 trCRM/upgradeRes/priority/lua/ui/cell/TRCellCustStar.lua,ed39330cf68d1e1e062bc8311d1e8d44
+trCRM/upgradeRes/other/uiAtlas/cust/Android/more.unity3d,f05eafb34336f1fcb5d614ad30217011
 trCRM/upgradeRes/priority/lua/ui/cell/TRCellExtendFieldRoot.lua,95a4f6696cc482a85d3979024f807c19
 trCRM/upgradeRes/other/uiAtlas/hotwheel/Android/hotWheel_bg.unity3d,b5d2bc7180f9d280014726814ec8b9fe
 trCRM/upgradeRes/priority/lua/ui/panel/CSPMine.lua,8ef3b142a4375bdb311d15f962a3a9f2
@@ -79,18 +76,21 @@ trCRM/upgradeRes/priority/lua/ui/cell/TRCellPopCheckbox.lua,25adbf58789186d43c15
 trCRM/upgradeRes/other/uiAtlas/cust/Android/border.unity3d,bf2cd1f2bdb27efc9c2e27943dcb8974
 trCRM/upgradeRes/other/uiAtlas/mine/Android/me_about.unity3d,3da9c9416127c69bc20c281f44520f6e
 trCRM/upgradeRes/other/uiAtlas/news/Android/new2_peo.unity3d,9c9562e576e93bacb7f2a0d0f08523ee
-trCRM/upgradeRes/priority/lua/ui/panel/TRPSetting.lua,45f706ba538ab2b39364826b8fc7e214
+trCRM/upgradeRes/priority/lua/toolkit/MyUtl.lua,a8351f9de5c665db23014cf331f2edb0
 trCRM/upgradeRes/other/uiAtlas/coolape/Android/input.unity3d,b3ad3f57c51c02ff798a50a37d6c9cab
 trCRM/upgradeRes/other/uiAtlas/public/Android/choose.unity3d,e31379a28ab86046414db1fb23cd2bf6
 trCRM/upgradeRes/other/uiAtlas/news/Android/new2_time.unity3d,16ca1ec9a44b8633ca032c3c8cdf1a9b
-trCRM/upgradeRes/priority/lua/public/CLLIncludeBase.lua,6011b5732b185053dc107332593e5d2b
+trCRM/upgradeRes/priority/atlas/Android/atlasAllReal.unity3d,5f53512926d5d4748adf663c09dff5e7
+trCRM/upgradeRes/other/uiAtlas/cust/Android/star.unity3d,f9684ea4b4e3a4206fc898bc6e4651ab
 trCRM/upgradeRes/priority/lua/toolkit/CLLUpdateUpgrader.lua,bfff3548aa7cd983c3de46e5defae423
 trCRM/upgradeRes/priority/ui/other/Android/reportform2.unity3d,de5097255fc8126d368e9693106347dc
 trCRM/upgradeRes/priority/lua/ui/panel/TRPNewCust.lua,cb4111b5926ebb6a2a36a249c491a693
 trCRM/upgradeRes/priority/lua/json/json.lua,a2914572290611d3da35f4a7eec92022
 trCRM/upgradeRes/other/uiAtlas/cust/Android/record.unity3d,afd45ba065ba86f138b8c92b9794c722
+trCRM/upgradeRes/priority/ui/other/Android/InputToggles.unity3d,847a6d2cbf79b767094155404ef708b1
 trCRM/upgradeRes/priority/lua/ui/panel/TRPConnect.lua,8c0ad5a5bb2bc51f9dd0951db8569bcb
 trCRM/upgradeRes/priority/ui/other/Android/Frame1.unity3d,622d3ea7e4f9aa1d11f6492cabffa445
+trCRM/upgradeRes/other/uiAtlas/mine/Android/myset_fingerprint.unity3d,de777211a380a09ea82e1092a9fba414
 trCRM/upgradeRes/priority/lua/ui/cell/TRCellCustProc.lua,3f9f33de3630a03463952058ba795128
 trCRM/upgradeRes/priority/lua/ui/cell/CSCellBottomBtn.lua,afbf445995d42e012635f3d355ce6d9e
 trCRM/upgradeRes/other/uiAtlas/news/Android/news_4.unity3d,8c7beff66dc0cfe9f44082bdacc8007c
@@ -103,16 +103,17 @@ trCRM/upgradeRes/other/uiAtlas/cust/Android/remove.unity3d,b460d3a275be876e0cfa0
 trCRM/upgradeRes/priority/lua/bio/BioOutputStream.lua,84fd65eb0d1a166e77447f61254d62b5
 trCRM/upgradeRes/other/uiAtlas/cust/Android/play2.unity3d,0b6ede536ea7b5084a1de22265b04840
 trCRM/upgradeRes/priority/lua/ui/panel/TRPResetPasswordStep2.lua,af8af3fde5f3526b36c48517a5da89d0
-trCRM/upgradeRes/other/uiAtlas/mine/Android/myset_fingerprint.unity3d,de777211a380a09ea82e1092a9fba414
+trCRM/upgradeRes/other/uiAtlas/work/Android/work_bg_shadow.unity3d,10087f2ab389bdfd71cfce8a6c466038
 trCRM/upgradeRes/priority/ui/panel/Android/PanelSplash.unity3d,2691ddc66dff5da22fda3ffe11c897dd
 trCRM/upgradeRes/other/uiAtlas/public/Android/tips_4.unity3d,67187ab01b7b863b2a7f37b430212a3d
 trCRM/upgradeRes/priority/lua/ui/cell/TRCellCustList.lua,86d3ed6429ba39f0a99f2307b5c43854
-trCRM/upgradeRes/priority/ui/panel/Android/PanelConnect.unity3d,bfec75cacbedc1126c89c90cdff3f887
 trCRM/upgradeRes/priority/ui/panel/Android/PanelLogin.unity3d,c5e276ac96627a8d412ff0299addd2a0
 trCRM/upgradeRes/other/uiAtlas/cust/Android/msg.unity3d,7f98a936769044c856c6082beb3559e3
 trCRM/upgradeRes/priority/ui/panel/Android/PanelBackplate.unity3d,861c2420c86f0da27dd58a6f73dfb942
-trCRM/upgradeRes/other/uiAtlas/news/Android/new2_notice.unity3d,8ccab8900911e68fc8e0b46f6c1e0372
 trCRM/upgradeRes/priority/ui/panel/Android/PanelMask4Panel.unity3d,ed5e0d7cc2ba83e33435bddc760b5f9d
+trCRM/upgradeRes/other/uiAtlas/news/Android/new2_notice.unity3d,8ccab8900911e68fc8e0b46f6c1e0372
+trCRM/upgradeRes/priority/ui/panel/Android/PanelMsg.unity3d,e0d5c4eb46bc7c1734c79206bd0962e0
+trCRM/upgradeRes/other/uiAtlas/public/Android/check.unity3d,d11f6d5b126c6a0fbf34ced5734cb66f
 trCRM/upgradeRes/priority/ui/panel/Android/ToastRoot.unity3d,28e85a4963ed89f85f2451670a154f04
 trCRM/upgradeRes/other/uiAtlas/main/Android/icon_work.unity3d,8a889dc1fe3b56bff4435f441ce5580e
 trCRM/upgradeRes/priority/lua/ui/panel/CSPMain.lua,24f616b9384dc0eefa9955fabb1d05f1
@@ -134,7 +135,7 @@ trCRM/upgradeRes/priority/ui/panel/Android/PanelServers.unity3d,1613390ef03ce766
 trCRM/upgradeRes/priority/lua/ui/cell/TRCellReportform2.lua,47ac1164b1ffb27397953ccb032fd2d7
 trCRM/upgradeRes/other/uiAtlas/public/Android/company_bg.unity3d,2153c725242937cf5fce727da9626dad
 trCRM/upgradeRes/other/uiAtlas/news/Android/new2_unread.unity3d,f1b29d8592cdd49f3a526be6b524ad9f
-trCRM/upgradeRes/priority/lua/ui/panel/TRPNewOrder.lua,66699c2865c091bd7e4cd93678ee7bc1
+trCRM/upgradeRes/priority/lua/ui/panel/TRPNewOrder.lua,98e4a2114213bf46c7f4a71d2079ca25
 trCRM/upgradeRes/priority/ui/panel/Android/PanelModifyFiled.unity3d,331f7d063411e0c231eaeccee4df73d1
 trCRM/upgradeRes/other/uiAtlas/news/Android/news_1.unity3d,51120d82352e936df826b05696b89b19
 trCRM/upgradeRes/priority/lua/ui/panel/CLLPCalender.lua,232cf2b7f74f088e8b44c4c47cda5e95
@@ -144,17 +145,18 @@ trCRM/upgradeRes/other/uiAtlas/cust/Android/cus_task.unity3d,a4f148630912414f1d5
 trCRM/upgradeRes/priority/ui/panel/Android/PanelConfirm.unity3d,8b67c703c47a6c807b1ca22927461e23
 trCRM/upgradeRes/priority/lua/ui/panel/TRPPopCheckBoxs.lua,508171a924c113573b01a396e8217cc2
 trCRM/upgradeRes/other/uiAtlas/mine/Android/myset_data.unity3d,70dd24370cd051acb45bab65464459ee
-trCRM/upgradeRes/priority/lua/bio/BioUtl.lua,f64afdd9ccdf943f5d4ba2fc3c3241ef
+trCRM/upgradeRes/priority/lua/ui/panel/TRPSetting.lua,45f706ba538ab2b39364826b8fc7e214
 trCRM/upgradeRes/other/uiAtlas/cust/Android/follow.unity3d,fffb80792073e4f2849c743d061d685a
 trCRM/upgradeRes/priority/lua/ui/panel/TRPConfirm2.lua,bd0ea9f50708dedd598b517c1dfc739f
 trCRM/upgradeRes/priority/lua/ui/panel/CSPMsg.lua,f72d285313cb63ff775722473af9a5f9
-trCRM/upgradeRes/priority/ui/other/Android/InputToggles.unity3d,847a6d2cbf79b767094155404ef708b1
+trCRM/upgradeRes/other/uiAtlas/coolape/Android/password.unity3d,ae473953dbd84c6f9a4e736f5101f4a2
 trCRM/upgradeRes/other/uiAtlas/public/Android/check_full.unity3d,282038ef4b24e802b0c936877871200c
 trCRM/upgradeRes/other/uiAtlas/main/Android/icon_news2.unity3d,a35e85b68569bf1adc16bdee3a609fdd
 trCRM/upgradeRes/priority/lua/ui/cell/CLLCellServer.lua,1e9de9f0b4bbc703296808c1ba179c29
 trCRM/upgradeRes/other/uiAtlas/mine/Android/myset_check.unity3d,d9092d78af855e769abff1223f650a9d
+trCRM/upgradeRes/priority/lua/ui/panel/CLLPHotWheel.lua,1760aa9933da4b421f1c6093d802cb4f
 trCRM/upgradeRes/other/uiAtlas/work/Android/icon_bg.unity3d,60926842e889a8a621443f4f646aa9e2
-trCRM/upgradeRes/priority/lua/ui/panel/TRPCustList.lua,51bec42b663bfa0aecd09184717a8e03
+trCRM/upgradeRes/other/uiAtlas/news/Android/news_2.unity3d,802f5fec3b39fb208b1bd8a400801081
 trCRM/upgradeRes/other/uiAtlas/login/Android/log_bg.unity3d,a7398f0f48b3b469e31bea6dac45457e
 trCRM/upgradeRes/other/uiAtlas/work/Android/work_icon_1.unity3d,41ae133fd4da0f2bf01316f91cf67fb8
 trCRM/upgradeRes/priority/lua/ui/cell/CLLUICalenderDay.lua,6e7400e2dd535ced93960c1e18fa2458
@@ -163,60 +165,60 @@ trCRM/upgradeRes/priority/lua/ui/cell/TRCellExtendField.lua,3178958635719c8c3247
 trCRM/upgradeRes/other/uiAtlas/work/Android/work_bg.unity3d,3b42ecd8d30203eb5dcc65cb3a0ad815
 trCRM/upgradeRes/priority/ui/panel/Android/PanelCustFilter.unity3d,90d589021f3db8641b14920daf93f1dc
 trCRM/upgradeRes/other/uiAtlas/work/Android/work_icon_4.unity3d,d1cf8069716943cc112a2946b22efddd
-trCRM/upgradeRes/other/uiAtlas/order/Android/shut.unity3d,7a13d4859459f052143028b0656aef43
 trCRM/upgradeRes/other/uiAtlas/public/Android/tips_2.unity3d,3ce2779b6bfbaef177e0446661ec2f82
 trCRM/upgradeRes/priority/ui/other/Android/InputDate.unity3d,01492264f7343238d1ffac1b62e29e01
-trCRM/upgradeRes/other/uiAtlas/order/Android/close.unity3d,1b49cc4db64de50d13ee029447a3d49d
 trCRM/upgradeRes/priority/lua/ui/panel/TRPPlaySoundRecord.lua,ded1f35f04bd0d84bfa8fd74ddf926aa
 trCRM/upgradeRes/priority/lua/ui/cell/CLCellToast.lua,6e350721fca8167bd621df86ad982326
+trCRM/upgradeRes/priority/ui/panel/Android/PanelSelectProduct.unity3d,d4ffb59af82153fd7d7e283bb35c5597
 trCRM/upgradeRes/priority/ui/panel/Android/PanelSysMsgList.unity3d,b48b08a37217bb43ef7a94566f79fec0
 trCRM/upgradeRes/priority/lua/ui/cell/TRCellCustFilter.lua,2fb22f9248e4af86ab42482151a5b141
 trCRM/upgradeRes/priority/lua/net/CLLNetSerialize.lua,30c24f11d46d7b887bf32177acb92c81
 trCRM/upgradeRes/other/uiAtlas/cust/Android/screen.unity3d,b488e337b72f2cd07dadd1e08640243d
 trCRM/upgradeRes/priority/lua/db/DBStatistics.lua,e64ad532dabb2cb70c4053e223770969
+trCRM/upgradeRes/priority/lua/toolkit/BitUtl.lua,82e46240625342d5afe8ea68a609c9cb
 trCRM/upgradeRes/priority/ui/other/Android/InputToggle.unity3d,4b8616c8acc8691a4b8510fdc103ec75
-trCRM/upgradeRes/other/uiAtlas/hotwheel/Android/loading.unity3d,2f74f17f1282c12ab63108377b4798e0
+trCRM/upgradeRes/priority/lua/ui/cell/CLLFrame1.lua,1fd4e80adb13bd0d3cb0d7449922667b
 trCRM/upgradeRes/priority/ui/panel/Android/PanelMain.unity3d,a56567b78909e1992695a97cb19d3e1c
 trCRM/upgradeRes/priority/lua/ui/panel/TRPModifyFiled.lua,99b250c386ce8dad9c10c8f4fe9874f1
 trCRM/upgradeRes/priority/lua/public/class.lua,cc0f201cc55c59f8bc8f623853382b9c
 trCRM/upgradeRes/priority/ui/panel/Android/PanelResetPasswordStep1.unity3d,150f48b7b68e00e8b3e513ec2b75333a
-trCRM/upgradeRes/priority/ui/panel/Android/PanelNewOrder.unity3d,b7eeb3b3776c4d5d11c74f589784e053
+trCRM/upgradeRes/priority/lua/ui/panel/TRPCustList.lua,51bec42b663bfa0aecd09184717a8e03
+trCRM/upgradeRes/priority/ui/panel/Android/PanelNewOrder.unity3d,4a7a74aeaf091ac9187f90429dec5ed0
 trCRM/upgradeRes/other/uiAtlas/login/Android/log_visible.unity3d,884f69f0dd0c2a58af5ad891f23e985e
 trCRM/upgradeRes/other/uiAtlas/coolape/Android/name.unity3d,f5b44185a57a97ce6971f20a4054d990
-trCRM/upgradeRes/other/uiAtlas/public/Android/check.unity3d,d11f6d5b126c6a0fbf34ced5734cb66f
+trCRM/upgradeRes/other/uiAtlas/order/Android/shut.unity3d,7a13d4859459f052143028b0656aef43
 trCRM/upgradeRes/priority/ui/other/Android/InputPoplist.unity3d,193b730ff83212643d1582dfa819b6e5
-trCRM/upgradeRes/other/uiAtlas/news/Android/news_bg_num2.unity3d,bfdbfc9e1fd1f91de555c0801d278d25
+trCRM/upgradeRes/other/uiAtlas/logo/Android/logo2.unity3d,1bddae3d3fe67d91fc6b5c6f9dbb0bea
 trCRM/upgradeRes/priority/lua/cfg/DBCfg.lua,3d0e60dbcdaa61b8553eee17f4d68b32
 trCRM/upgradeRes/other/uiAtlas/cust/Android/limt.unity3d,d48f498211748b192a7b10a932aec8be
 trCRM/upgradeRes/other/uiAtlas/cust/Android/write.unity3d,cbf2cca163ccc6839cf9154547edd6f8
-trCRM/upgradeRes/other/uiAtlas/cust/Android/right.unity3d,b991891eb2939a880c223d677605faf4
 trCRM/upgradeRes/other/uiAtlas/guid/Android/3.unity3d,6fafc74e9a154b5b3c19accabd3e11b0
 trCRM/upgradeRes/priority/lua/ui/panel/TRPCusFilter.lua,f0452e3d6cfa59244dc7b9dd8f5a475d
-trCRM/upgradeRes/priority/lua/ui/cell/CLToastRoot.lua,e1fb7ee5d50bd0ffc6561f5a4ec8426f
 trCRM/upgradeRes/priority/ui/other/Android/reportform3.unity3d,f0a5622c709a4d4ec6ac76c0c1e8abb5
 trCRM/upgradeRes/priority/lua/ui/panel/CLLPLoginCoolape.lua,5873be60edc8f1407dc9fb53ec567ebf
 trCRM/upgradeRes/other/uiAtlas/login/Android/log_password.unity3d,6a41f099b79cda5941cf720c1452b5a5
 trCRM/upgradeRes/other/uiAtlas/order/Android/add.unity3d,bf6728a3e41783ee7d63c130107a16e1
 trCRM/upgradeRes/priority/lua/ui/panel/TRPSysMsgList.lua,518461e7bf8f3b3420fa9377a23db86a
-trCRM/upgradeRes/priority/www/baidumap.html,d210e48796dd96343f9c17bc1d230136
 trCRM/upgradeRes/other/uiAtlas/order/Android/upload.unity3d,a7cb722ecba5f405105f0cfda4695e74
-trCRM/upgradeRes/priority/ui/panel/Android/PanelNewFollow.unity3d,3ee9577410d709f08bf37e7c9a2b19a1
+trCRM/upgradeRes/priority/lua/ui/cell/CLToastRoot.lua,e1fb7ee5d50bd0ffc6561f5a4ec8426f
 trCRM/upgradeRes/priority/lua/public/CLLPool.lua,3e6a97eb07cfdff7c399eb3e956ba77c
 trCRM/upgradeRes/priority/lua/ui/panel/TRPCustFilter.lua,0725109e55276b5158f6ce642d28dfa6
+trCRM/upgradeRes/priority/lua/ui/cell/TRCellCustFilterGroup.lua,93cdb67f51a62110b38e133b065f8f85
 trCRM/upgradeRes/priority/lua/ui/panel/CLLPWWWProgress.lua,b713ddf9f0af8602ec48f71162181d6d
 trCRM/upgradeRes/priority/ui/panel/Android/PanelTasks.unity3d,82aaf6542a4ad8546a55f66997d61f66
 trCRM/upgradeRes/other/uiAtlas/cust/Android/phone.unity3d,36e34519b910a11de3531994f607a140
-trCRM/upgradeRes/priority/ui/panel/Android/PanelConfirm2.unity3d,d199779b559cef259ebbfe686ba42703
+trCRM/upgradeRes/other/uiAtlas/cust/Android/check.unity3d,aa21836aaae62d8f719a930aefe37ea7
 trCRM/upgradeRes/other/uiAtlas/cust/Android/important.unity3d,17f0d1ab4133e3a6542404d8e5fb0b7d
 trCRM/upgradeRes/priority/ui/other/Android/AlertRoot.unity3d,c30044a6e7bf14ddb7a87c4f51d1f073
 trCRM/upgradeRes/priority/ui/panel/Android/PanelCustList.unity3d,f4542609056769c35fcd7be55645c3b4
-trCRM/upgradeRes/other/uiAtlas/cust/Android/more.unity3d,f05eafb34336f1fcb5d614ad30217011
+trCRM/upgradeRes/priority/ui/panel/Android/PanelPopList.unity3d,a0ba753b0deecff9a85c8cd2b60013dd
 trCRM/upgradeRes/priority/lua/db/DBMessage.lua,04d61da969ffa87835209f7bc25369b0
 trCRM/upgradeRes/other/uiAtlas/public/Android/on_off_bg.unity3d,96fcd3ce2ee9ffa2941973cefea6511d
 trCRM/upgradeRes/priority/lua/ui/panel/CLLPSplash.lua,2f4c84546ec70a42deaf05cc0fd105bb
+trCRM/upgradeRes/other/uiAtlas/order/Android/ipt_bg.unity3d,89541a2aaed40069c1f0ce363c5a8e2a
 trCRM/upgradeRes/other/uiAtlas/guid/Android/1.unity3d,7654268e7c4bc7cea47f584d306f503d
 trCRM/upgradeRes/priority/lua/toolkit/KKLogListener.lua,341e17bfccad7217d30814868712ea15
-trCRM/upgradeRes/priority/lua/ui/cell/TRCellCustFilterGroup.lua,93cdb67f51a62110b38e133b065f8f85
+trCRM/upgradeRes/priority/lua/bio/BioUtl.lua,f64afdd9ccdf943f5d4ba2fc3c3241ef
 trCRM/upgradeRes/priority/lua/ui/cell/CLLUICellPoplist.lua,18d47301d459fd66ed63b902546e8619
 trCRM/upgradeRes/other/uiAtlas/public/Android/tips_1.unity3d,aca2dfb1fbece45c7333447195bc7efe
 trCRM/upgradeRes/priority/lua/ui/panel/TRPNewFollow.lua,ef981e78f783343271b8c655f358084c
@@ -224,24 +226,23 @@ trCRM/upgradeRes/other/uiAtlas/mine/Android/myset_password.unity3d,04bebaa914245
 trCRM/upgradeRes/priority/lua/ui/panel/CLLPLogin.lua,f2ba83d01af3371bee83945f470facd5
 trCRM/upgradeRes/priority/lua/net/CLLNet.lua,df3108c65b288722530f80bb73893062
 trCRM/upgradeRes/other/uiAtlas/work/Android/work_icon_2.unity3d,3bcd13c7b2003a1bcf92aaa4d2dbf6fe
-trCRM/upgradeRes/priority/lua/ui/panel/TRPCustListProc.lua,1973dc8d949ed85e01b09aff328d1033
 trCRM/upgradeRes/priority/ui/panel/Android/PanelLoginCoolape.unity3d,efb09b206c444d66d10720371645049b
 trCRM/upgradeRes/other/uiAtlas/mine/Android/me_customer.unity3d,5676922ef1749c311285d1a207b8397b
 trCRM/upgradeRes/priority/lua/ui/panel/TRPResetPasswordStep1.lua,def4741f89df3925682e53df01bb70cc
-trCRM/upgradeRes/other/uiAtlas/order/Android/ipt_bg.unity3d,89541a2aaed40069c1f0ce363c5a8e2a
+trCRM/upgradeRes/priority/ui/panel/Android/PanelStart.unity3d,50cfab21f360ee339c94b1111be09fef
 trCRM/upgradeRes/other/uiAtlas/mine/Android/log_bg.unity3d,fd1470749300ec31bcbe7f59686152d7
 trCRM/upgradeRes/other/uiAtlas/mine/Android/myset_remind.unity3d,99a50a17b34f464693ac84d1c6f38966
 trCRM/upgradeRes/other/uiAtlas/work/Android/work_ranking.unity3d,9a0b0f94d60e9ff144193c83915b21fa
 trCRM/upgradeRes/priority/ui/panel/Android/PanelSelectCompany.unity3d,2aa019a477ea5b160780ded080dc82ec
 trCRM/upgradeRes/priority/lua/toolkit/LuaUtl.lua,96b4f88eea21e061eff2e3f76fbb623b
 trCRM/upgradeRes/priority/lua/city/CLLCity.lua,b7ee9fffacb28d09ab08728a49dedc8e
-trCRM/upgradeRes/other/uiAtlas/cust/Android/position.unity3d,e60132eb1d8cfbc71046611111fd3099
+trCRM/upgradeRes/other/uiAtlas/order/Android/close.unity3d,1b49cc4db64de50d13ee029447a3d49d
 trCRM/upgradeRes/priority/lua/ui/cell/CLLCellWWWProgress.lua,ec0258e77f76c8b681d0f02e7a5ff342
-trCRM/upgradeRes/other/uiAtlas/work/Android/work_bg_shadow.unity3d,10087f2ab389bdfd71cfce8a6c466038
+trCRM/upgradeRes/other/uiAtlas/cust/Android/task.unity3d,737ce6fdd55d7642f690531d9410ff6a
 trCRM/upgradeRes/priority/ui/other/Android/InputText.unity3d,be94a5ea478478b84db4dbd942015247
+trCRM/upgradeRes/priority/lua/ui/panel/TRPCustListProc.lua,1973dc8d949ed85e01b09aff328d1033
 trCRM/upgradeRes/other/uiAtlas/icon/Android/icon_26_no.unity3d,c16242cb394b0720d1c2e1e0289c1c4a
-trCRM/upgradeRes/priority/ui/panel/Android/PanelGuid.unity3d,d58c2f53bba85cb8e969e744ff706f3a
-trCRM/upgradeRes/priority/lua/ui/panel/CLLPHotWheel.lua,1760aa9933da4b421f1c6093d802cb4f
+trCRM/upgradeRes/other/uiAtlas/cust/Android/position.unity3d,e60132eb1d8cfbc71046611111fd3099
 trCRM/upgradeRes/other/uiAtlas/cust/Android/time.unity3d,38bf54e9fbf1c1d8af2cead294d1b61e
 trCRM/upgradeRes/other/uiAtlas/cust/Android/bg.unity3d,37a58d5a79d3691b2c32a74422721ee7
 trCRM/upgradeRes/priority/lua/public/CLLInclude.lua,476b749169d54c4b08e8749743983d92
@@ -253,37 +254,37 @@ trCRM/upgradeRes/priority/lua/ui/panel/CSPTasks.lua,8d6ee6caffff19fef0e0836a83a8
 trCRM/upgradeRes/priority/lua/ui/cell/TRCellMessageGroup.lua,14a960604f49e2b34e0c115561bb45a3
 trCRM/upgradeRes/priority/lua/ui/panel/TRPLogin.lua,0992523f277369f5b08a6f756722daeb
 trCRM/upgradeRes/priority/lua/public/CLLStack.lua,579069654d88a15e43c818a6b8079b15
-trCRM/upgradeRes/priority/atlas/Android/atlasAllReal.unity3d,5f53512926d5d4748adf663c09dff5e7
+trCRM/upgradeRes/priority/ui/panel/Android/PanelConfirm2.unity3d,d199779b559cef259ebbfe686ba42703
 trCRM/upgradeRes/priority/ui/panel/Android/PanelNewCust.unity3d,f6367c75d38ecbf5607ed563867db24d
 trCRM/upgradeRes/other/uiAtlas/public/Android/button2.unity3d,1a48080b1d43367921fc09b430fffaf5
 trCRM/upgradeRes/priority/lua/ui/panel/TRPResetPasswordStep3.lua,0d3be662e0a236b709d8f1f9d6b3321e
 trCRM/upgradeRes/priority/lua/net/NetProto.lua,14fa2058adb8fb53d67dc85de14fd9ab
-trCRM/upgradeRes/other/uiAtlas/login/Android/log_no.unity3d,2ee604556b4fff6186f2bad067ed8695
+trCRM/upgradeRes/other/uiAtlas/mine/Android/me_set2.unity3d,e528f24899ef583c113ca69bbb510ebd
 trCRM/upgradeRes/other/uiAtlas/mine/Android/me_opinion.unity3d,1935579d226c7400323115d8be90421d
 trCRM/upgradeRes/other/uiAtlas/coolape/Android/user.unity3d,dc5411391ea0beae4ecc9a4541f1cb21
 trCRM/upgradeRes/priority/lua/ui/panel/TRPCustDetail.lua,62aff784a70e4a1bd0faa472176a0978
 trCRM/upgradeRes/priority/ui/panel/Android/PanelCustDetail.unity3d,a100acfd581e89b0800fafb7ad87d006
-trCRM/upgradeRes/priority/lua/toolkit/BitUtl.lua,82e46240625342d5afe8ea68a609c9cb
+trCRM/upgradeRes/priority/ui/panel/Android/PanelGuid.unity3d,d58c2f53bba85cb8e969e744ff706f3a
 trCRM/upgradeRes/priority/lua/ui/panel/TRPMoreProc4Cust.lua,cc11fe3b2530891e91e2c649762d06f8
 trCRM/upgradeRes/other/uiAtlas/news/Android/news_bg_num1.unity3d,2ed88c277f983b8d1a3dedf73d735239
 trCRM/upgradeRes/priority/ui/panel/Android/PanelMoreProc4Cust.unity3d,0a1669987fdd4ce81f5b7cba8ce77876
 trCRM/upgradeRes/priority/localization/Chinese.txt,08ac586b625d0a126a610344a1846e8f
 trCRM/upgradeRes/other/uiAtlas/login/Android/log_sms.unity3d,8677ba455b4c85e5f1230986ff1032cf
-trCRM/upgradeRes/other/uiAtlas/cust/Android/star.unity3d,f9684ea4b4e3a4206fc898bc6e4651ab
+trCRM/upgradeRes/other/uiAtlas/login/Android/log_no.unity3d,2ee604556b4fff6186f2bad067ed8695
 trCRM/upgradeRes/priority/lua/toolkit/curve.lua,f97735ed6c39accb55cdae44b62b5b38
 trCRM/upgradeRes/priority/ui/panel/Android/PanelResetPasswordStep3.unity3d,2f18b6d6198b1678ba10a72dcdd1fbaa
 trCRM/upgradeRes/priority/lua/bio/BioInputStream.lua,b3f94b1017db307427c6e39a8ee4d60e
-trCRM/upgradeRes/other/uiAtlas/cust/Android/cus_tel.unity3d,692b010c775fb99d05d342f5ad0272fa
+trCRM/upgradeRes/priority/www/baidumap.html,d210e48796dd96343f9c17bc1d230136
 trCRM/upgradeRes/other/uiAtlas/news/Android/new2_bg_20.unity3d,8e81d4a650273e24b7f129d1f814f5fa
 trCRM/upgradeRes/other/uiAtlas/cust/Android/cus_followup.unity3d,a722ae8374cf3aa0fd87fc6d74ddabfd
 trCRM/upgradeRes/other/uiAtlas/cust/Android/kuang.unity3d,a6ce8e74b0631e79ce2e03f2fed3baea
-trCRM/upgradeRes/other/uiAtlas/news/Android/news_2.unity3d,802f5fec3b39fb208b1bd8a400801081
+trCRM/upgradeRes/other/uiAtlas/main/Android/icon_work2.unity3d,eca0bd19a59ce72be19d7cdcbf9c5dac
 trCRM/upgradeRes/other/uiAtlas/news/Android/new2_remind.unity3d,04a96d237c5e80ab044a54e7c063e368
 trCRM/upgradeRes/priority/ui/other/Android/reportform1.unity3d,5d061e9c5511ae3b978dbfe2be87f35e
 trCRM/upgradeRes/other/uiAtlas/public/Android/button.unity3d,ff51e79201ecbd61247f8db792009aff
 trCRM/upgradeRes/other/uiAtlas/coolape/Android/logo.unity3d,c712e48e071a87fb6668333774da19a6
-trCRM/upgradeRes/priority/lua/ui/cell/CLLFrame1.lua,1fd4e80adb13bd0d3cb0d7449922667b
+trCRM/upgradeRes/other/uiAtlas/order/Android/system.unity3d,570fa72b2d385d604cc7c9f7516965da
 trCRM/upgradeRes/priority/lua/json/rpc.lua,28c2f09ceb729d01052d8408eed0b57a
 trCRM/upgradeRes/other/uiAtlas/mine/Android/myset_clean_up.unity3d,51e9fd3012fca7d448c3578c281bd15e
 trCRM/upgradeRes/priority/lua/toolkit/curve-families.png,d0b6b9b8a623a188aeae2fb688a8a0e5
-trCRM/upgradeRes/other/uiAtlas/coolape/Android/password.unity3d,ae473953dbd84c6f9a4e736f5101f4a2
+trCRM/upgradeRes/other/uiAtlas/news/Android/news_bg_num2.unity3d,bfdbfc9e1fd1f91de555c0801d278d25
diff --git a/Assets/CoolapeFrameData/verControl/android/ver4UpgradeMd5.v b/Assets/CoolapeFrameData/verControl/android/ver4UpgradeMd5.v
index aa72e80..8a60479 100644
--- a/Assets/CoolapeFrameData/verControl/android/ver4UpgradeMd5.v
+++ b/Assets/CoolapeFrameData/verControl/android/ver4UpgradeMd5.v
@@ -38,7 +38,7 @@ trCRM/upgradeRes4Publish/other/uiAtlas/public/Android/company_bg.unity3d,2153c72
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellReportform3.lua,f83300f176e1c35d62e00e69539998f3
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPSelectCompany.lua,a4ebb94a988f9c6c534703f89efeb7a8
 trCRM/upgradeRes4Publish/other/uiAtlas/work/Android/work_bg_noshadow.unity3d,4aee082b48104519ba82bad6aac83cf3
-trCRM/upgradeRes4Publish/priority/ui/panel/Android/PanelNewOrder.unity3d,b7eeb3b3776c4d5d11c74f589784e053
+trCRM/upgradeRes4Publish/priority/ui/panel/Android/PanelNewOrder.unity3d,4a7a74aeaf091ac9187f90429dec5ed0
 trCRM/upgradeRes4Publish/other/uiAtlas/mine/Android/myset_password2.unity3d,5dc8eaeca2eeedb771451233e5d8bf98
 trCRM/upgradeRes4Publish/other/uiAtlas/cust/Android/record.unity3d,afd45ba065ba86f138b8c92b9794c722
 trCRM/upgradeRes4Publish/priority/lua/cfg/DBCfgTool.lua,a6760e05dcc5f91202e3659179a464e7
@@ -103,7 +103,7 @@ trCRM/upgradeRes4Publish/other/uiAtlas/cust/Android/check.unity3d,aa21836aaae62d
 trCRM/upgradeRes4Publish/priority/ui/panel/Android/PanelBackplate.unity3d,861c2420c86f0da27dd58a6f73dfb942
 trCRM/upgradeRes4Publish/other/uiAtlas/login/Android/log_invisible.unity3d,e1a5814af01e17e83e9939c9f1839524
 trCRM/upgradeRes4Publish/other/uiAtlas/cust/Android/del.unity3d,453d38d3af66e108db0d2bb827426bd7
-trCRM/upgradeRes4Publish/priority/lua/ui/panel/CLLPWebView.lua,5a2e61ba38a3c3374ddf9b8df926c423
+trCRM/upgradeRes4Publish/priority/lua/ui/panel/CLLPWebView.lua,093deec807e28be04df4d593bcff9e38
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPSysMsgDetail.lua,6266494c653deda1b5a391cc7f38a06a
 trCRM/upgradeRes4Publish/other/uiAtlas/cust/Android/funnel.unity3d,cb6f2a2b14c53ed86c122a4da2c3984b
 trCRM/upgradeRes4Publish/other/uiAtlas/login/Android/log_people.unity3d,7ff36c94c74e4a8e09e1896978c13381
@@ -143,7 +143,7 @@ trCRM/upgradeRes4Publish/priority/ui/panel/Android/PanelHotWheel.unity3d,4cd3b51
 trCRM/upgradeRes4Publish/other/uiAtlas/mine/Android/myset_check.unity3d,d9092d78af855e769abff1223f650a9d
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellReportform2.lua,47ac1164b1ffb27397953ccb032fd2d7
 trCRM/upgradeRes4Publish/other/uiAtlas/news/Android/new2_unread.unity3d,f1b29d8592cdd49f3a526be6b524ad9f
-trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPNewOrder.lua,66699c2865c091bd7e4cd93678ee7bc1
+trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPNewOrder.lua,98e4a2114213bf46c7f4a71d2079ca25
 trCRM/upgradeRes4Publish/priority/ui/panel/Android/PanelModifyFiled.unity3d,331f7d063411e0c231eaeccee4df73d1
 trCRM/upgradeRes4Publish/other/uiAtlas/news/Android/news_1.unity3d,51120d82352e936df826b05696b89b19
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/CLLPCalender.lua,232cf2b7f74f088e8b44c4c47cda5e95
@@ -177,6 +177,7 @@ trCRM/upgradeRes4Publish/other/uiAtlas/public/Android/tips_2.unity3d,3ce2779b6bf
 trCRM/upgradeRes4Publish/priority/ui/other/Android/InputDate.unity3d,01492264f7343238d1ffac1b62e29e01
 trCRM/upgradeRes4Publish/other/uiAtlas/hotwheel/Android/loading.unity3d,2f74f17f1282c12ab63108377b4798e0
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/CLCellToast.lua,6e350721fca8167bd621df86ad982326
+trCRM/upgradeRes4Publish/priority/ui/panel/Android/PanelSelectProduct.unity3d,d4ffb59af82153fd7d7e283bb35c5597
 trCRM/upgradeRes4Publish/priority/ui/panel/Android/PanelResetPasswordStep3.unity3d,2f18b6d6198b1678ba10a72dcdd1fbaa
 trCRM/upgradeRes4Publish/other/uiAtlas/cust/Android/write.unity3d,cbf2cca163ccc6839cf9154547edd6f8
 trCRM/upgradeRes4Publish/other/uiAtlas/public/Android/button2.unity3d,1a48080b1d43367921fc09b430fffaf5
diff --git a/Assets/trCRM/Resources/Atlas/EmptyAtlas.prefab b/Assets/trCRM/Resources/Atlas/EmptyAtlas.prefab
index fd27db7..8d8a102 100644
--- a/Assets/trCRM/Resources/Atlas/EmptyAtlas.prefab
+++ b/Assets/trCRM/Resources/Atlas/EmptyAtlas.prefab
@@ -46,7 +46,7 @@ MonoBehaviour:
   material: {fileID: 0}
   mSprites: []
   mPixelSize: 1
-  mReplacement: {fileID: 11400000, guid: 5ceb49909c25f471fb6d136b24c49d48, type: 3}
+  mReplacement: {fileID: 0}
   mCoordinates: 0
   sprites: []
   _isBorrowSpriteMode: 1
